-- ArcadiaLogos Localization
--
-- iriel@vigilance-committee.org
---------------------------------------------------------------------------

BINDING_HEADER_ARCADIALOGOS = "Arcadian Logos"

BINDING_NAME_ARCADIALOGOS_TOGGLE = "Toggle logo display"
BINDING_NAME_ARCADIALOGOS_HOLDTOGGLE = "Toggle while hold"
BINDING_NAME_ARCADIALOGOS_BIGGER = "Make logos bigger"
BINDING_NAME_ARCADIALOGOS_SMALLER = "Make logos smaller"

SLASH_ARCADIALOGOS1 = "/arcadialogos"
SLASH_ARCADIALOGOS2 = "/arcadialogo"
-- For testing - SLASH_ARCADIALOGOS3 = "/al"

local msgs = {};
ARCADIALOGOS_MESSAGE_CATALOG = msgs;

-- Overrides of standard messages
msgs.CMD_AVAILABLE_HEADER = 'Available /arcadialogos commands:';
msgs.ERR_UNKNOWN_COMMAND = "Unknown /arcadialogos command: '%s'";
msgs.MISSING_MESSAGE = "ArcadiaLogos: Missing message catalog entry '%s'";

-- Command specific messages
msgs.HEADER_VERSION = "ArcadiaLogos (v0.9.3)";
msgs.HEADER_CONFIG = "ArcadiaLogos (v0.9.3) - Current configuration:";
msgs.CONFIG_SCAN_ENABLED  = "  Mouseover scanning is |cff66ff66enabled|r."
msgs.CONFIG_SCAN_DISABLED = "  Mouseover scanning is |cffff6666disabled|r."
msgs.CONFIG_TARGET_ENABLED  = "  Target logo is |cff66ff66enabled|r."
msgs.CONFIG_TARGET_DISABLED = "  Target logo is |cffff6666disabled|r."
msgs.CONFIG_TOOLTIP_NAME_ENABLED  = "  Tooltip guild name display is enabled."
msgs.CONFIG_TOOLTIP_NAME_DISABLED = "  Tooltip guild name display is disabled."
msgs.CONFIG_TOOLTIP_COLOR_ENABLED  = "  Tooltip background color change is enabled."
msgs.CONFIG_TOOLTIP_COLOR_DISABLED = "  Tooltip background color change is disabled."
msgs.CONFIG_RANDOM_ENABLED  = "  |cffffff00WARNING: Random guild display enabled|r."
msgs.CONFIG_SCALE         = "  Icon scaling set to %d percent."
msgs.CONFIG_FADE          = "  Mouseover fade time %.2f seconds."
msgs.CONFIG_ALPHA         = "  Mouseover logo alpha %.2f."
msgs.CONFIG_OFFSET        = "  Mouseover logo offset %d pixels."
msgs.CONFIG_ANGLE         = "  Mouseover logo angle %d degrees."
msgs.CONFIG_PACKS         = "  Logo packs: %d registered, %d active."

msgs.SHOWPACKS_ACTIVE        = "  |cffffffff%s <%s>|r";
msgs.SHOWPACKS_INACTIVE      = "  |cffffcccc%s <%s>|r";
msgs.SHOWPACKS_ACTIVE_HEADER = "Active logo packs:";
msgs.SHOWPACKS_HEADER        = "Registered logo packs:";
msgs.SHOWPACKS_NONE_ACTIVE   = "No active logo packs.";
msgs.SHOWPACKS_NONE          = "No registered logo packs.";

msgs.CMD_CONFIG_LABEL = "Show current configuration settings.";

msgs.CMD_SCALE_LABEL = "Set mouseover logo scale percent.";
msgs.CMD_SCALE_ARGLABEL = "<scalePercent>";
msgs.ERR_SCALE_BADNUMBER = "Bad mouseover logo scale '%s' - Must be a number between %s and %s."
msgs.ERR_SCALE_BADRANGE = "Bad mouseover logo scale '%s' - Must be between %s and %s."

msgs.CMD_ANGLE_LABEL = "Set mouseover logo angle (degrees).";
msgs.CMD_ANGLE_ARGLABEL = "<angleDegrees>";
msgs.ERR_ANGLE_BADNUMBER = "Bad mouseover logo angle '%s' - Must be a number between %s and %s."
msgs.ERR_ANGLE_BADRANGE = "Bad mouseover logo angle '%s' - Must be between %s and %s."

msgs.CMD_OFFSET_LABEL = "Set mouseover logo offset (normalized pixels).";
msgs.CMD_OFFSET_ARGLABEL = "<distPixels>";
msgs.ERR_OFFSET_BADNUMBER = "Bad mouseover logo offset '%s' - Must be a number between %s and %s."
msgs.ERR_OFFSET_BADRANGE = "Bad mouseover logo offset '%s' - Must be between %s and %s."

msgs.CMD_ALPHA_LABEL = "Set mouseover logo alpha.";
msgs.CMD_ALPHA_ARGLABEL = "<alpha>";
msgs.ERR_ALPHA_BADNUMBER = "Bad mouseover logo alpha '%s' - Must be a number between %s and %s."
msgs.ERR_ALPHA_BADRANGE = "Bad mouseover logo alpha '%s' - Must be between %s and %s."

msgs.CMD_FADE_LABEL = "Set mouseover logo fade time (seconds).";
msgs.CMD_FADE_ARGLABEL = "<fadeSeconds>";
msgs.ERR_FADE_BADNUMBER = "Bad mouseover logo fade '%s' - Must be a number between %s and %s."
msgs.ERR_FADE_BADRANGE = "Bad mouseover logo fade '%s' - Must be between %s and %s."

msgs.CMD_TARGET_LABEL = "Set whether target frame logo appears.";
msgs.CMD_TARGET_ARGLABEL = "<setting>";
msgs.ERR_TARGET_BADFLAG = "Bad target setting '%s' - Must be one of %s."

msgs.CMD_TOOLTIP_NAME_LABEL = "Set whether guild name is displayed in tooltip.";
msgs.CMD_TOOLTIP_NAME_ARGLABEL = "<setting>";
msgs.ERR_TOOLTIP_NAME_BADFLAG = "Bad tooltip name setting '%s' - Must be one of %s."

msgs.CMD_TOOLTIP_COLOR_LABEL = "Set whether tooltip background color is changed.";
msgs.CMD_TOOLTIP_COLOR_ARGLABEL = "<setting>";
msgs.ERR_TOOLTIP_COLOR_BADFLAG = "Bad tooltip color setting '%s' - Must be one of %s."

msgs.CMD_ENABLE_LABEL = "Enable mouseover icon display.";

msgs.CMD_DISABLE_LABEL = "Disable mouseover icon display.";

msgs.CMD_LISTPACKS_LABEL = "Show registered logo packs.";

msgs.CMD_ACTIVEPACKS_LABEL = "Show active logo packs.";

